Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.quartz.jobs
Class EndpointPollingJobConfig

    java.lang.Object
      org.mule.transport.quartz.config.AbstractJobConfig
          org.mule.transport.quartz.jobs.EndpointPollingJobConfig

All Implemented Interfaces:
  Serializable, MuleContextAware, JobConfig

    public class EndpointPollingJobConfig

extends AbstractJobConfig

Configuration for the `EndpointPollingJob` job.

See Also:
  Serialized Form

Constructor Summary
`EndpointPollingJobConfig()`

Method Summary
`String` | `getEndpointRef()`
`protected Class<? extends org.quartz.StatefulJob>` | `getStatefulJobClass()`
`protected Class<? extends org.quartz.Job>` | `getStatelessJobClass()`
`int` | `getTimeout()`
`void` | `setEndpointRef(String endpointRef)`
`void` | `setTimeout(int timeout)`

Methods inherited from class org.mule.transport.quartz.config.AbstractJobConfig
`getGroupName, getJobClass, getJobGroupName, getMuleContext, isStateful, setGroupName, setJobGroupName, setMuleContext, setStateful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointPollingJobConfig

    public EndpointPollingJobConfig()

Method Detail

### getEndpointRef

    public String getEndpointRef()

### setEndpointRef

    public void setEndpointRef(String endpointRef)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### getStatefulJobClass

    protected Class<? extends org.quartz.StatefulJob> getStatefulJobClass()

  Specified by:
    `getStatefulJobClass` in class `AbstractJobConfig`

### getStatelessJobClass

    protected Class<? extends org.quartz.Job> getStatelessJobClass()

  Specified by:
    `getStatelessJobClass` in class `AbstractJobConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.